aboutsummaryrefslogtreecommitdiff
path: root/dev-libs/smooth
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/smooth')
-rw-r--r--dev-libs/smooth/smooth-0.9.10-r1.ebuild (renamed from dev-libs/smooth/smooth-0.9.10.ebuild)15
1 files changed, 14 insertions, 1 deletions
diff --git a/dev-libs/smooth/smooth-0.9.10.ebuild b/dev-libs/smooth/smooth-0.9.10-r1.ebuild
index 15c76d2..abd18b0 100644
--- a/dev-libs/smooth/smooth-0.9.10.ebuild
+++ b/dev-libs/smooth/smooth-0.9.10-r1.ebuild
@@ -12,6 +12,7 @@ EAPI=8
SLOT=0
KEYWORDS="amd64"
+IUSE="cairo"
# info
HOMEPAGE="https://smooth-project.org/"
@@ -31,4 +32,16 @@ BDEPEND="
dev-libs/libxml2
media-libs/libjpeg-turbo
net-misc/curl
- x11-libs/gtk+"
+ x11-libs/gtk+:3[X]"
+
+#
+# ~~~ steps
+
+# compile
+src_compile() {
+ if use cairo ; then
+ emake DESTDIR="${D}" BUILD_CAIRO="True" || die "emake failed"
+ else
+ emake DESTDIR="${D}" BUILD_CAIRO="True" || die "emake failed"
+ fi
+}